Subject: Re: [PATCH 1/1] drm/amdgpu: adopt to hmm_range_register API change

From: Jason Gunthorpe <[email-masked]>
Date: Thu, 4 Jul 2019 02:00:19 +0000

On Thu, Jul 04, 2019 at 09:11:33AM +1000, Dave Airlie wrote:
> On Thu, 4 Jul 2019 at 07:32, Stephen Rothwell <[email-masked]> wrote:
> >
> > Hi Alex,
> >
> > On Wed, 3 Jul 2019 17:09:16 -0400 Alex Deucher <[email-masked]> wrote:
> > >
> > > Go ahead and respin your patch as per the suggestion above.  then I
> > > can apply it I can either merge hmm into amd's drm-next or we can just
> > > provide the conflict fix patch whichever is easier.  Which hmm branch
> > > is for 5.3?
> > > https://git.kernel.org/pub/scm/linux/kernel/git/rdma/rdma.git/?h=hmm
> >
> > Please do not merge the hmm tree into yours - especially if the
> > conflict comes down to just a few lines.  Linus has addressed this in
> > the past.  There is a possibility that he may take some objection to
> > the hmm tree (for example) and then your tree (and consequently the drm
> > tree) would also not be mergeable.
> >
> 
> I'm fine with merging the hmm tree if Jason has a stable non-rebasing
> base. I'd rather merge into drm tree and then have amd backmerge if it
> we are doing it.

Yes, it is a stable non-rebasing tree for this purpose.

> But if we can just reduce the conflicts to a small amount it's easier
> for everyone to just do that.

Yes, I concur with Stephen. hmm.git is setup so we can merge it across
trees as a feature branch if we need to - but merging to avoid a
trivial conflict is something Linus has frowned on in the past.

If we can get the resolution down to one line then I would forward it
to Linus. Since it is a build break only it should be highlighted in
the DRM PR.

For RDMA we often have conflicts and I usually send Linus a 2nd tag
(ie for-linus-merged) with the conflicts all resolved so he can
compare his and my resolution as a sanity check. Linus wrote a nice
email on this topic..

Jason